Subject: bug#16190: 23.4; M-x captialize-word works incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Dec 2013 18:12:46 +0200

> Date: Sun, 22 Dec 2013 23:20:33 -0500
> From: Caleb Wakeman <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> (paraphrased quotes)
>  >>> That's the intended behavior
>  >> Then its docstring is incorrect
>  > Fair enough, fixed
> 
> Erm, well...
> 
> I've had several days to think it over, and I don't agree [that it's 
> fixed].  Yes, the docstring is (was) incorrect; and if it hadn't been 
> incorrect, I wouldn't have reported it as a bug.
> 
> However, the function would still be doing 'The Wrong Thing' (for me, I 
> can imagine that cases exist where this isn't), and if I ever used it 
> again, it would only be because I forgot that it didn't do what I expected.

The 3 functions that change letter-case in words, capitalize-word,
upcase-word, and downcase-word work in the same way when moving
forward: they start with the current buffer position.

If you want a function that capitalizes the word at point after
looking back for its beginning, you need to code that using
thing-at-point or some such.